from tortoise import fields

from .base import BaseModel


class Product(BaseModel):
    name = fields.CharField(max_length=255)
    description = fields.TextField(null=True, default=None)
    price = fields.FloatField()
    image = fields.TextField()

    def __str__(self):
        return self.name

    class Meta(BaseModel.Meta):
        table = 'products'
